Ubuntu

Upgrade rabbitvcs to version 0.14+

Reported by ngsupb on 2011-03-24
66
This bug affects 11 people
Affects Status Importance Assigned to Milestone
rabbitvcs (Debian)
Fix Released
Unknown
rabbitvcs (Ubuntu)
Wishlist
Unassigned

Bug Description

Hi,

Is it possible to upgrade rabbitvcs-core and rabbitvcs-nautilus to the latest versions 0.14? 0.13 version is old and very slow with large svn repos and has some bugs. Have been using 0.14 for a long time on Arch linux already, it works much better compared to 0.13

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: rabbitvcs-core 0.13.1-1
ProcVersionSignature: Ubuntu 2.6.38-7.38-generic 2.6.38
Uname: Linux 2.6.38-7-generic x86_64
Architecture: amd64
Date: Thu Mar 24 11:24:07 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302)
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: rabbitvcs
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

ngsupb (ngsupb) wrote :
Jason Heeris (detly) wrote :

The Ubuntu package is updated when the Debian package is updated. Now, I'm the "maintainer" for the package in Debian, but after trying for months to get the Debian Python Modules Team to upload new versions for me, and being ignored, I gave up.

Perhaps it's time to try again before putting the package up for adoption.

Hans Joachim Desserud (hjd) wrote :

Thanks for reporting this issue. I attached a bug watch to a bug requesting a newer version of rabbitvcs in Debian.

tags: added: upgrade-software-version
Changed in rabbitvcs (Debian):
status: Unknown → New
girto (patspiper) wrote :

RabbitVCS 0.14 crashes Nautilus in Ubuntu 11.04 (Ubuntu Classic)

axeoth (axeoth) wrote :

@girto (#4) however, 0.14.2.1 works well for me in Natty 64 Classic

summary: - outdated package, upgrade inquiry
+ Upgrade rabbitvcs to version 0.14+
Changed in rabbitvcs (Ubuntu):
status: New → Confirmed
importance: Undecided → Wishlist
axeoth (axeoth) wrote :

version 0.15+ of rabbitvcs is out

axeoth (axeoth) wrote :
Changed in rabbitvcs (Debian):
status: New → Fix Committed
Changed in rabbitvcs (Debian):
status: Fix Committed → Fix Released
Fantu (fantonifabio) wrote :

Also I need use this program.
Can new version be merged from debian unstable before Precise release please?

Hans Joachim Desserud (hjd) wrote :

Regarding comment #8, for the new version to appear in Ubuntu Precise someone needs to request a Feature Freeze Exception to sync the latest version from Debian. Please see https://wiki.ubuntu.com/FreezeExceptionProcess#FeatureFreeze_for_new_upstream_versions for details.

Fantu (fantonifabio) wrote :

New version support nautilus 3, rabbitvcs function is based on file manager, without is unusable.
0.14 Add also basic git support, very useful, I tried other programs but also to git on linux when rabbitvcs 0.15.0.5 remains the best I've found also for git.

For other see debian changelog:
http://packages.debian.org/changelogs/pool/main/r/rabbitvcs/rabbitvcs_0.15.0.5-1/changelog

d❤vid seaward (kwill) wrote :

Please consider a feature freeze exception. Version 0.15 contains important new features since the version currently in Ubuntu, namely Git support in addition to SVN support, and bug fixes. More importantly, it includes support for Gnome 3 Nautilus (the old version only support Gnome 2).

The upstream PPA contains all of these features, and (as far as I am aware) all of the files required for this request.

Debian has 0.15, so we'd need the Debian packages built and tested for precise
to know if we can do this.

Micah Gersten (micahg) wrote :

Test packages uploaded to my PPA (ppa:micahg/ppa). These should build within an hour or so. Please let us know if these packages work.

d❤vid seaward (kwill) wrote :

Thanks michag. I updated Nautilus and GEdit and installed your PPA. SVN and Git checkout work. However, when I right-click on a Git folder I get a "RabbitVCS SVN" menu instead of "RabbitVCS Git". Does anyone else get this?

Stefano Rivera (stefanor) wrote :

We reached final freeze, and this didn't happen for precise, but should auto-sync in quantal.

If there are patches that are approriate for an SRU, I suggest taking that route.
https://wiki.ubuntu.com/StableReleaseUpdates#Procedure

Changed in rabbitvcs (Ubuntu):
status: Confirmed → Won't Fix
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rabbitvcs - 0.15.0.5-1

---------------
rabbitvcs (0.15.0.5-1) unstable; urgency=low

  * Team upload.

  [ Arthur de Jong ]
  * New upstream release (Closes: #618934) (LP: #741562, #952719):
    - Includes new client for Nautilus 3 (Closes: #633113, #644690, #647999)
      (LP: #876514).
    - Fix a problem with rename a file (Closes: #585859).
    - Allows entering repository URL when starting the browser
      (Closes: #619644).
  * Cherry-pick upstream change that implements a gedit 3 plugin and update
    packaging according to new directory layout (closes: #635123).
  * Update package descriptions to match upstream's (Closes: #580716)
    (LP: #748304).
  * Drop dependency on glade (not used in 0.15).
  * Add missing dependency on python-simplejson (LP: #769742)
  * Have rabbitvcs-nautilus Conflicts/Replaces rabbitvcs-nautilus3 to
    ensure smooth upgrades for people running upstream provided packages.
  * Update debian/copyright and switch to latest machine-readable format.
  * Move packaging to Python Applications Packaging Team repository,
    updating maintainer and Vcs-* fields.
  * Switch to using dh_python2.
  * Change package section to vcs (Closes: #626809).
  * Bump Standards-Version to 3.9.3.

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ Sameer Rahmani ]
  * watch file fixed.

 -- Arthur de Jong <email address hidden> Wed, 21 Mar 2012 23:09:27 +0100

Changed in rabbitvcs (Ubuntu):
status: Won't Fix → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.